#include "EventAction.h"

#include "G4Event.hh"
#include "G4RunManager.hh"
#include "RunAction.h"

EventAction::EventAction(RunAction* r) : fRunAction(r) {}

EventAction::~EventAction() {}

void EventAction::BeginOfEventAction(const G4Event* event) { fEdep = 0.; }

void EventAction::EndOfEventAction(const G4Event* event) { fRunAction->AddEdep(fEdep); }
